%define debug_package %{nil}
%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%define	py_setup	setup.py

%if 0%{?fedora}
%global with_python3 1
%else
%global with_python3 0
%endif

Summary:	Python package for low-level client for Elasticsearch.
Packager:	Lawrence R. Rogers (lrr@cert.org)
Vendor:		cert.org
Name:		elasticsearch5
Version:	5.5.5
Release:	2%{?dist}
License:	BSD
Group:		Applications
Source:		python-elasticsearch-%{version}.tar.gz
URL:		URL

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildRequires:	%{__python} 

%description
Official low-level client for Elasticsearch. Its goal is to provide common ground for all
Elasticsearch-related code in Python; because of this it tries to be opinion-free and very
extendable.

For a more high level client library with more limited scope, have a look at elasticsearch-dsl -
a more pythonic library sitting on top of elasticsearch-py.

It provides a more convenient and idiomatic way to write and manipulate queries. It stays close
to the Elasticsearch JSON DSL, mirroring its terminology and structure while exposing the whole
range of the DSL from Python either directly using defined classes or a queryset-like expressions.
It also provides an optional persistence layer for working with documents as Python objects in
an ORM-like fashion: defining mappings, retrieving and saving documents, wrapping the document
data in user-defined classes.

The library is compatible with Elasticsearch 5.x. For Elasticsearch 2.x please use elasticsearch2
and for future releases use elasticsearcch.

%package -n python2-elasticsearch5
Obsoletes: python-elasticsearch5 < %{version}
Provides: python-elasticsearch5 = %{version}
Summary: Python client for Elasticsearch5
Requires: python2-urllib3

%description -n python2-elasticsearch5
Python client for Elasticsearch.

%if 0%{?with_python3}
%package -n python3-elasticsearch5
Summary: Python client for Elasticsearch5
Requires: python3-urllib3

%description -n python3-elasticsearch5
Python client for Elasticsearch5.
%endif

%prep
%autosetup -n %{name}-%{version}

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif
rm -rf %{buildroot}/usr/share/doc/%{name}/

%clean
rm -rf %{buildroot}

%files -n python2-elasticsearch5
%{python2_sitelib}/elasticsearch5/
%{python2_sitelib}/elasticsearch5*.egg-info

%if 0%{?with_python3}
%files -n python3-elasticsearch5
%{python3_sitelib}/elasticsearch5/
%{python3_sitelib}/elasticsearch5*.egg-info
%endif

%changelog
* Sun Feb  3 2019 Lawrence R. Rogers <lrr@cert.org> 5.5.5-2
* Release 5.5.5-2
	Version 5.5.5
	Added Python 3 version. Renamed to python2 version.

* Tue Aug 14 2018 Lawrence R. Rogers <lrr@cert.org> 5.5.5-1
* Release 5.5.5-1
	Version 5.5.5

* Fri Jan 12 2018 Lawrence R. Rogers <lrr@cert.org> 5.5.1-1
* Release 5.5.1-1
	Version 5.5.1
